<h2>Météo {{ listCities![selectedCity].name }} à 3 jours</h2>

<div id="formModal" *ngIf="displayFormModal">
    <form>
        <select name="selectedCity" [(ngModel)]="selectedCity" (change)="handleCityChange()">
            <option *ngFor="let city of listCities; index as i" [ngValue]="i">{{ city.name }}</option>
        </select>

    </form>

</div>

<table>
    <thead>
        <tr>
            <th></th>
            <th>WeatherAPI.com</th>
            <th>Meteo-Concept.com</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <th>Aujourd'hui</th>
            <td>{{ dataWeatherAPI.today }}</td>
            <td>{{ dataMeteoConcept.today }}</td>
        </tr>
        <tr>
            <th>Demain</th>
            <td>{{ dataWeatherAPI.tomorrow }}</td>
            <td>{{ dataMeteoConcept.tomorrow }}</td>
        </tr>
        <tr>
            <th>Après-demain</th>
            <td>{{ dataWeatherAPI.dayaftertomorrow }}</td>
            <td>{{ dataMeteoConcept.dayaftertomorrow }}</td>
        </tr>
    </tbody>
</table>


<button (click)="toggleFormModal()">Changer de ville</button>
